<li class="flyout__section" :class="sectionClass">
    <strong v-if="title" class="flyout__title" :id="itemId">{{ title }}</strong>
    <ul class="flyout__list"
        :aria-labelledby="itemId"
        :aria-haspopup="links.length > maxVisible"
        :aria-expanded="!isCompact || isExpanded">

        <li class="flyout__list-item"  v-for="(link, index) in links" v-if="index < maxVisible">
            <content-link ref="focusable" @click.native="$emit('close')" :href="link.href" class="flyout__link">{{ link.title }}</content-link>
        </li>

        <li class="flyout__list-item" v-show="flyoutToggleIsVisible && ! isExpanded">
            <content-toggle class="flyout__toggle"
                            :ref="flyoutToggleIsVisible && ! isExpanded ? 'focusable' : ''"
                            :toggle-state="false"
                            aria-hidden="true"
                            @toggle="toggleExpanded">
            </content-toggle>
        </li>

        <!-- items using v-show so spiders can index the entire menu -->
        <li class="flyout__list-item" v-for="(link, index) in links" v-if="index >= maxVisible" v-show="!isCompact || isExpanded">
            <content-link ref="focusable"  @click.native="$emit('close')" :href="link.href" class="flyout__link" >{{ link.title }}</content-link>
        </li>

        <li class="flyout__list-item" v-show="flyoutToggleIsVisible && isExpanded">
            <content-toggle class="flyout__toggle"
                            ref="flyoutToggleIsVisible && isExpanded ? 'focusable' : ''"
                            :toggle-state="true"
                            aria-hidden="true"
                            @toggle="toggleExpanded">
            </content-toggle>
        </li>
    </ul>

    <template v-if="bottomLinks" v-for="bottomLink in bottomLinks">
        <content-link ref="focusable" @click.native="$emit('close')" :href="bottomLink.href" class="flyout__link--cta-mini" >{{ bottomLink.title }}</content-link>
    </template>
</li>
